Add patch to expose Webkits WebSecurityEnabled setting via QWebSettings (see https...
[opendreambox.git] / meta-opendreambox / recipes-qt / qt4 / qt4-embedded_4.8.1.bbappend
1 DEPENDS := "${@oe_filter_out('^(mysql5|postgresql|sqlite)$', '${DEPENDS}', d)}"
2 PR .= "-dream2"
3
4 SRC_URI += "file://0001-Qt-build-NPAPI-without-X11.patch \
5             file://0002-Qt-Add-HbbTv-MIME-types.patch \
6             file://0003-Qt-expose-WebKits-WebSecurityEnabled-setting.patch"
7
8 FILESEXTRAPATHS_prepend := "${THISDIR}/${P}:"
9
10 QT_CONFIG_FLAGS += "-nomake demos -nomake docs -nomake examples"
11
12 QT_SQL_DRIVER_FLAGS += "-no-sql-mysql -no-sql-psql -no-sql-sqlite2"